{
    "fields": {
        "name": {
            "type": "varchar",
            "required": true,
            "pattern": "$noBadCharacters",
            "tooltip": true,
            "copyToClipboard": true
        },
        "iban": {
            "type": "varchar",
            "required": false,
            "maxLength": 42,
            "tooltip": true,
            "isCustom": true,
            "copyToClipboard": true,
            "audited": true
        },
        "bic": {
            "type": "varchar",
            "required": false,
            "maxLength": 11,
            "tooltip": true,
            "isCustom": true,
            "copyToClipboard": true
        },
        "kontoinhaber": {
            "type": "varchar",
            "required": false,
            "maxLength": 255,
            "tooltip": true,
            "isCustom": true,
            "copyToClipboard": true
        },
        "bankname": {
            "type": "varchar",
            "required": false,
            "maxLength": 255,
            "tooltip": true,
            "isCustom": true,
            "copyToClipboard": true
        },
        "istAktiv": {
            "type": "bool",
            "default": true,
            "tooltip": true,
            "isCustom": true
        },
        "istStandard": {
            "type": "bool",
            "default": false,
            "tooltip": true,
            "isCustom": true
        },
        "advowareKontoId": {
            "type": "int",
            "required": false,
            "tooltip": true,
            "isCustom": true
        },
        "advowareLastSync": {
            "type": "datetime",
            "required": false,
            "readOnly": true,
            "tooltip": true,
            "isCustom": true
        },
        "syncStatus": {
            "type": "enum",
            "required": false,
            "options": [
                "clean",
                "unclean",
                "failed"
            ],
            "style": {
                "clean": "success",
                "unclean": "warning",
                "failed": "danger"
            },
            "default": "clean",
            "tooltip": true,
            "isCustom": true
        },
        "beteiligte": {
            "type": "link",
            "required": false,
            "tooltip": true,
            "isCustom": true
        },
        "createdAt": {
            "type": "datetime",
            "readOnly": true
        },
        "modifiedAt": {
            "type": "datetime",
            "readOnly": true
        },
        "createdBy": {
            "type": "link",
            "readOnly": true,
            "view": "views/fields/user"
        },
        "modifiedBy": {
            "type": "link",
            "readOnly": true,
            "view": "views/fields/user"
        },
        "assignedUser": {
            "type": "link",
            "required": false,
            "view": "views/fields/assigned-user"
        },
        "teams": {
            "type": "linkMultiple",
            "view": "views/fields/teams"
        }
    },
    "links": {
        "beteiligte": {
            "type": "belongsTo",
            "entity": "CBeteiligte",
            "foreign": "bankverbindungens",
            "isCustom": true
        },
        "contactsBankverbindung": {
            "type": "hasMany",
            "relationName": "cBankverbindungContact",
            "foreign": "cBankverbindungenContact",
            "entity": "Contact",
            "audited": false,
            "isCustom": true
        },
        "createdBy": {
            "type": "belongsTo",
            "entity": "User"
        },
        "modifiedBy": {
            "type": "belongsTo",
            "entity": "User"
        },
        "assignedUser": {
            "type": "belongsTo",
            "entity": "User"
        },
        "teams": {
            "type": "hasMany",
            "entity": "Team",
            "relationName": "entityTeam",
            "layoutRelationshipsDisabled": true
        }
    },
    "collection": {
        "orderBy": "createdAt",
        "order": "desc"
    },
    "indexes": {
        "name": {
            "columns": [
                "name",
                "deleted"
            ]
        },
        "assignedUser": {
            "columns": [
                "assignedUserId",
                "deleted"
            ]
        },
        "createdAt": {
            "columns": [
                "createdAt"
            ]
        },
        "createdAtId": {
            "unique": true,
            "columns": [
                "createdAt",
                "id"
            ]
        }
    }
}